Remove a pin
DELETE
/v1/disks/{disk}/labelsDELETE
/v1/disks/{disk}/labels
const url = 'https://api.wabe.sh/v1/disks/demo/labels?name=daily';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://api.wabe.sh/v1/disks/demo/labels?name=daily' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”disk
required
string
Example
demoProject disk name, or the disk ID in the actor runtime disk URL.
Query Parameters
Section titled “Query Parameters”name
required
string
Example
dailyResponses
Section titled “Responses”Pin removed.
Invalid input.
Media typetext/plain
string
Missing, invalid or revoked project API key, or an invalid runtime access token.
Media typeapplication/json
object
error
required
string
message
required
string
Actor runtime token does not authorize this disk or instance generation.
Media typeapplication/json
object
error
required
string
message
required
string
Object was not found.
Media typetext/plain
string
Conflict, nonempty destination or referenced object.
Media typetext/plain
string
Storage, I/O or corruption failure.
Media typetext/plain
string
Disk unavailable.
Media typeapplication/json
object
error
required
string
message
required
string